# dhcpd.conf for server.example.net

# MANDRAKE LINUX:
ddns-update-style interim;
ignore client-updates;

subnet 192.168.1.0 netmask 255.255.255.0 {
  option subnet-mask 255.255.255.0;
  option domain-name "example.net";
  option domain-name-servers 192.168.1.201;
  range 192.168.1.10 192.168.1.50;
  default-lease-time 21600;
  max-lease-time 43200;

  group {
    # we want (some) hosts to appear at fixed addresses
    host pc10 { # Laptop 1 home-PC
      hardware ethernet 00:00:55:99:77:66;
      fixed-address 192.168.1.1;
      # This one gets a default gateway
      option routers 192.168.1.254;
    }
    host pc11 { # Laptop (job-PC)
      hardware ethernet 00:00:55:CC:00:44;
      fixed-address 192.168.1.2;
    }
  }
}

# DEBIAN SARGE;
ddns-update-style none;
option domain-name "example.net";
option domain-name-servers server.tuxic.net;
default-lease-time 21600;
max-lease-time 43200;
authoritative;
log-facility local7;

subnet 192.168.1.0 netmask 255.255.255.0 {
  range 192.168.1.10 192.168.1.50;
  option routers 192.168.1.254;
  host ws1 {
    hardware ethernet 00:01:01:BB:DD:AA;
    fixed-address 192.168.1.1;
  }
  host ws2 {
    hardware ethernet 00:02:02:DD:EE:FF;
    fixed-address 192.168.1.2;
  }
  host ws3 {
    hardware ethernet 00:03:AA:BB:CC:DD;
    fixed-address 192.168.1.3;
  }
}